> For the complete documentation index, see [llms.txt](https://docs.metasleuth.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metasleuth.io/zh_cn/blocksec-fan-xi-qian-api/wallet-screening-api/apis.md).

# API

## 订阅

{% hint style="success" %}
订阅[我们的计划](https://metasleuth.io/plans#apis)，将此API用于您的服务，以帮助满足合规要求并保护用户的资产。
{% endhint %}

## 获取支持的链

## GET /chain-list

> Get the list of supported chains.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}},"headers":{"Access-Control-Allow-Origin":{"description":"Origin allowed by the API CORS policy.","schema":{"type":"string"}},"Access-Control-Expose-Headers":{"description":"Response headers exposed to browser JavaScript clients.","schema":{"type":"string"}},"Strict-Transport-Security":{"description":"Instructs browsers to access the API only over HTTPS.","schema":{"type":"string"}},"X-Content-Type-Options":{"description":"Prevents browsers from MIME-sniffing the response content type.","schema":{"type":"string"}},"X-Frame-Options":{"description":"Controls whether the response can be embedded in a frame.","schema":{"type":"string"}},"X-RateLimit-Cost":{"description":"Points charged by this response.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Daily point limit for the API key.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining points after this response.","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"Next UTC 00:00 reset time as a Unix timestamp.","schema":{"type":"integer","format":"int64"}},"X-RateLimit-Used":{"description":"Used points after this response.","schema":{"type":"integer"}}},"schemas":{"ApiResponse":{"type":"object","properties":{"request_id":{"type":"string","description":"The unique ID of the request."},"code":{"type":"integer","description":"Error code, 200000 means no error."},"message":{"type":"string","description":"Prompt message."},"data":{"nullable":true,"description":"Response data."}}}}},"paths":{"/chain-list":{"get":{"summary":"Get the list of supported chains.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"A successful resquest","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Unique identifier for the chain. In accordance with the chain IDs listed in the 'Supported Networks' section."},"chain_name":{"type":"string","description":"The short name of the chain. In accordance with the short names listed in the 'Supported Networks' section."},"support_interaction_risk":{"type":"boolean","description":"Indicates whether the current API supports calculating interaction risk for this chain."}}}}}}}}},"500":{"description":"Internal Server Error","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}}}}
```

## 获取风险指标

## GET /risk-items

> Retrieve a comprehensive list of all risk indicators.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}},"headers":{"Access-Control-Allow-Origin":{"description":"Origin allowed by the API CORS policy.","schema":{"type":"string"}},"Access-Control-Expose-Headers":{"description":"Response headers exposed to browser JavaScript clients.","schema":{"type":"string"}},"Strict-Transport-Security":{"description":"Instructs browsers to access the API only over HTTPS.","schema":{"type":"string"}},"X-Content-Type-Options":{"description":"Prevents browsers from MIME-sniffing the response content type.","schema":{"type":"string"}},"X-Frame-Options":{"description":"Controls whether the response can be embedded in a frame.","schema":{"type":"string"}},"X-RateLimit-Cost":{"description":"Points charged by this response.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Daily point limit for the API key.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining points after this response.","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"Next UTC 00:00 reset time as a Unix timestamp.","schema":{"type":"integer","format":"int64"}},"X-RateLimit-Used":{"description":"Used points after this response.","schema":{"type":"integer"}}},"schemas":{"ApiResponse":{"type":"object","properties":{"request_id":{"type":"string","description":"The unique ID of the request."},"code":{"type":"integer","description":"Error code, 200000 means no error."},"message":{"type":"string","description":"Prompt message."},"data":{"nullable":true,"description":"Response data."}}}}},"paths":{"/risk-items":{"get":{"summary":"Retrieve a comprehensive list of all risk indicators.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"A successful resquest","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Indicator string."},"code":{"type":"string","description":"Indicator code."}}}}}}}}},"500":{"description":"Internal Server Error","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}}}}
```

## 获取地址合规风险

## POST /risk-score

> Retrieve the address's risk score and all associated risk indicators.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API powered by BlockSec Address Label database and risk assessment","version":"3.0"},"servers":[{"url":"https://aml.blocksec.com/address-compliance/api/v3","description":"Get label and related information of addresses."}],"security":[{"APIKey":[]}],"components":{"securitySchemes":{"APIKey":{"description":"Add your api key in header (API-KEY) for authentication","type":"apiKey","name":"API-KEY","in":"header"}},"headers":{"Access-Control-Allow-Origin":{"description":"Origin allowed by the API CORS policy.","schema":{"type":"string"}},"Access-Control-Expose-Headers":{"description":"Response headers exposed to browser JavaScript clients.","schema":{"type":"string"}},"Strict-Transport-Security":{"description":"Instructs browsers to access the API only over HTTPS.","schema":{"type":"string"}},"X-Content-Type-Options":{"description":"Prevents browsers from MIME-sniffing the response content type.","schema":{"type":"string"}},"X-Frame-Options":{"description":"Controls whether the response can be embedded in a frame.","schema":{"type":"string"}},"X-RateLimit-Cost":{"description":"Points charged by this response.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Daily point limit for the API key.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining points after this response.","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"Next UTC 00:00 reset time as a Unix timestamp.","schema":{"type":"integer","format":"int64"}},"X-RateLimit-Used":{"description":"Used points after this response.","schema":{"type":"integer"}}},"schemas":{"ApiResponse":{"type":"object","properties":{"request_id":{"type":"string","description":"The unique ID of the request."},"code":{"type":"integer","description":"Error code, 200000 means no error."},"message":{"type":"string","description":"Prompt message."},"data":{"nullable":true,"description":"Response data."}}}}},"paths":{"/risk-score":{"post":{"summary":"Retrieve the address's risk score and all associated risk indicators.","parameters":[{"in":"header","name":"API-KEY","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Chain ID. Please refer to the 'Supported Networks' section for specific IDs."},"address":{"type":"string","description":"The specific address you want to query. EVM addresses are case-insensitive, while non-EVM addresses are case-sensitive."},"interaction_risk":{"type":"boolean","description":"Whether to calculate the interaction risk of the queried address."}}}}}},"responses":{"200":{"description":"A successful request","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","properties":{"chain_id":{"type":"integer","description":"Chain ID."},"address":{"type":"string","description":"The queried address."},"risk_score":{"type":"integer","description":"Risk score."},"risk_indicators":{"type":"array","description":"Relevant risk indicators","items":{"type":"object","properties":{"type":{"type":"string","description":"Individual Risk / Interaction Risk"},"indicator":{"type":"object","properties":{"name":{"type":"string","description":"The indicator string."},"code":{"type":"integer","description":"The indicator code."}}},"source":{"type":"string","description":"The source address to which the risk indicator of type 'Interaction Risk' belongs."},"risk_interactions":{"type":"array","items":{"type":"object","properties":{"block_number":{"type":"integer","description":"The block number where the funds are transferred."},"timestamp":{"type":"string","format":"unix-timestamp","description":"Timestamp of the block number."},"tx_hash":{"type":"string","description":"Transaction hash of transfer."},"from":{"type":"string","description":"The source address (sender) of the transfer."},"to":{"type":"string","description":"The destination address (recipient) of the transfer."},"token_contract":{"type":"string","description":"The token contract address of the transfer. Returns \"-\" string for native token transfers."},"token_symbol":{"type":"string","description":"The token symbol (e.g., Ether, USDT, DAI)."},"amount":{"type":"number","description":"The amount of tokens transferred, scaled by the token's decimals."},"usd_value":{"type":"number","format":"float","description":"The USD value of the transfer at the time of transaction."}}}}}}}}}}}}}},"400":{"description":"Invalid request parameters","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}},"500":{"description":"Internal Server Error","headers":{"Access-Control-Allow-Origin":{"$ref":"#/components/headers/Access-Control-Allow-Origin"},"Access-Control-Expose-Headers":{"$ref":"#/components/headers/Access-Control-Expose-Headers"},"Strict-Transport-Security":{"$ref":"#/components/headers/Strict-Transport-Security"},"X-Content-Type-Options":{"$ref":"#/components/headers/X-Content-Type-Options"},"X-Frame-Options":{"$ref":"#/components/headers/X-Frame-Options"},"X-RateLimit-Cost":{"$ref":"#/components/headers/X-RateLimit-Cost"},"X-RateLimit-Limit":{"$ref":"#/components/headers/X-RateLimit-Limit"},"X-RateLimit-Remaining":{"$ref":"#/components/headers/X-RateLimit-Remaining"},"X-RateLimit-Reset":{"$ref":"#/components/headers/X-RateLimit-Reset"},"X-RateLimit-Used":{"$ref":"#/components/headers/X-RateLimit-Used"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}}}}
```
